package org.mmga.hnyrespack.utils;

import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.text.MutableText;
import net.minecraft.text.Text;
import net.minecraft.util.Formatting;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class Tools {
    private static final Logger log = LogManager.getLogger(Tools.class);

    /**
     * 相同的异常处理逻辑
     * @param e 触发的异常
     * @param player 命令执行者（即应该收到命令执行失败消息的玩家）
     * */
    public static void onThreadException(Exception e, ServerPlayerEntity player){
        log.catching(e);
        sendMessage(player, "在执行此命令时遇到问题。", Formatting.RED);
    }

    /**
     * 向玩家发送消息
     * @param player 收到消息的玩家
     * @param message 消息文本
     * @param color 消息颜色
     */
    public static void sendMessage(ServerPlayerEntity player, String message, Formatting color){
        MutableText text = Text.literal(message)
                .formatted(color);
        player.sendMessage(text);
    }
}
